path: /build/build/nvidia-555-kernel-modules-kernel-5.4-555.42.02+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-555/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-555.42.02 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.42.02
  - |
    eval 'rm -rf /nvidia-555-kernel-modules || true' && mkdir /nvidia-555-kernel-modules && \
    luet-portage --dir /nvidia-555-kernel-modules x11-drivers/nvidia-kernel-modules
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b1bfd8158c6319aff85bf844e527bc888280f4458cac69fab13ffbe133a76514
  package:
    name: nvidia-555-kernel-modules
    version: 555.42.02+1
    category: kernel-5.4
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.4
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-22 16:02:12.456719638 +0000 UTC m=+606.410270380
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.4.281
      original.package.slot: "555"
      original.package.version: 555.42.02
    treedir: /build/packages
  package_dir: /nvidia-555-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f53d356e51d7a28280e473c7af63f9d5fcae1d8ae6346c7325287e95417e13ad
compressiontype: zstd
files:
- lib/modules/nvidia/555.42.02/5.4.281-macaroni/video/nvidia-drm.ko
- lib/modules/nvidia/555.42.02/5.4.281-macaroni/video/nvidia-modeset.ko
- lib/modules/nvidia/555.42.02/5.4.281-macaroni/video/nvidia-uvm.ko
- lib/modules/nvidia/555.42.02/5.4.281-macaroni/video/nvidia.ko
package_cacheimage: ""
runtime:
  name: nvidia-555-kernel-modules
  version: 555.42.02+1
  category: kernel-5.4
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.4.281
    original.package.slot: "555"
    original.package.version: 555.42.02
